package geniusweb.logconverter;

import java.util.logging.Level;

import tudelft.utilities.logging.Reporter;

/**
 * Stores any reported errors and warnings so that we can test nothing bad
 * happened
 */
public class TestReporter implements Reporter {
	private String error = null;

	@Override
	public void log(Level level, String msg) {
		log(level, msg, null);
	}

	@Override
	public void log(Level level, String msg, Throwable thrown) {
		System.out.println("" + level + ":" + msg);
		if ((level == Level.SEVERE || level == Level.WARNING)
				&& error == null) {
			error = msg;
		}
	}

	/**
	 * 
	 * @return error, or null if no error occured
	 */
	public String getError() {
		return error;
	}

}